@import url("https://fonts.googleapis.com/css2?family=Poppins&display=swap");

.dark-mode {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

.header {
    display: flex;
    justify-content: center;
}

.header .logo {
    width: 185px;
    height: 40px;
    margin-top: 15px;
}

.header .logo img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

/* box start */
.ip-address {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: auto;
}

.container {
    width: 650px;
    height: 350px;
    background: rgba(19, 15, 64, 0.05);
    border: 1px solid rgba(19, 15, 64, 0.5);
    border-radius: 30px;
    text-align: center;
}

.copy-icon {
    display: flex;
    justify-content: flex-end;
    margin-top: 25px;
    margin-right: 30px;
    opacity: 0;
    transition: 0.4s;
    position: relative;
}

.tooltip {
    position: relative;
    user-select: none;
}

.tooltip:before {
    content: attr(data-text);
    position: absolute;
    color: #fff;
    top: -15px;
    left: -25px;
    transform: translate(10%, -40%);
    font-size: 16px;
    transition: 0.2s;
    opacity: 0;
}

.tooltip:hover:before {
    opacity: 1;
}

.container:hover .copy-icon {
    opacity: 1 !important;
}

.copy-icon img {
    width: 25px;
    height: 30px;
    object-fit: contain;
    cursor: pointer;
}

.content {
    margin-top: 7%;
}

.content h5 {
    font-size: 25px;
    font-weight: 400;
    line-height: 65px;
    color: #130f40;
    user-select: none;
}

.content #ip-num {
    font-size: 50px;
    text-align: center;
    line-height: 65px;
    border: none;
    background: none;
    width: 100%;
    color: #130f40;
}

.content #ip-num:focus {
    outline: none;
}

/* dark mode style */
.dark-mode {
    background: #131823;
}

.dark {
    background: rgba(255, 255, 255, 0.05);
    border: 1px solid rgba(255, 255, 255, 0.5);

}

.dark-mode-text {
    color: #fff !important;
}

/* responsive */
@media only screen and (max-width: 767px) {
    .ip-address .container {
        width: 550px;
        height: 300px;
    }
}

@media only screen and (max-width: 480px) {
    .header .logo {
        width: 150px;
        height: 30px;
    }

    .ip-address {
        padding: 0px 20px;
    }

    .copy-icon {
        margin: 15px 15px 0px 0px;
        float: right;
    }

    .tooltip:before {
        top: 50%;
        left: 0%;
        transform: translate(-100%, -70%);
    }

    .tooltip img {
        width: 15px;
        height: 17px;
    }

    .container {
        width: 375px;
        height: 170px;
        border-radius: 20px;
    }

    .content {
        margin-top: 25%;
    }

    .content h5 {
        font-size: 20px;
        line-height: 55px;
    }

    .content #ip-num {
        font-size: 40px;
        line-height: 55px;
        text-align: center;
    }
}
